package org.ydarias.petprojects.jira.util.jira

object JQLGenerator {

  def instance: JQLQuery = new JQLQuery
  
}

class JQLQuery {

  var projectKey: String = _
  
  var status: String = _
  
  def fromProject(projectKey: String): JQLQuery = {
    this.projectKey = projectKey
    this
  }
  
  def status(status: String): JQLQuery = {
    this.status = status
    this
  }
  
  def query: String = {
    var queryString = "project = \"" + projectKey + "\""
    if (status != null)
      queryString += " and status = \"" + status  + "\""

    queryString
  }

  def encodedQuery: String = {
    Encoder.encode(query)
  }
  
}

object Encoder {

  def encode(input: String): String = {
    input.replace(" ", "%20").replace("\"", "%22").replace("=", "%3D")
  }

}
