<!DOCTYPE html>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib prefix='c' uri='http://java.sun.com/jstl/core_rt' %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>

<%@ page session="false" %>

<c:set var="WEBAPP_PREFIX" value="${pageContext.request.contextPath}" />

<html>
    <head>
        <meta charset="utf-8">
        <title>JiraTablet</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="Jira touch board manager">
        <meta name="author" content="Yeray Darias Camacho, @ydarias">

        <!-- Le styles -->
        <link href="${WEBAPP_PREFIX}/resources/css/bootstrap.css" rel="stylesheet">
        <style type="text/css">
            body {
                padding-top: 60px;
                padding-bottom: 40px;
            }
            .sidebar-nav {
                padding: 9px 0;
            }
        </style>
        <link href="${WEBAPP_PREFIX}/resources/css/bootstrap-responsive.css" rel="stylesheet">

        <tiles:insertAttribute name="styles-block" ignore="true" />
    </head>

    <body>
        <div class="navbar navbar-fixed-top">
            <div class="navbar-inner">
                <div class="container-fluid">
                    <a class="brand" href="${WEBAPP_PREFIX}">JiraTablet</a>
                    <div class="nav-collapse">
                        <ul class="nav">
                            <li><a href="${WEBAPP_PREFIX}/board/projects">Projects</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <tiles:insertAttribute name="body-content" ignore="true" />

        <tiles:insertAttribute name="scripts-block" ignore="true" />
    </body>
</html>