<!DOCTYPE html>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib prefix='c' uri='http://java.sun.com/jstl/core_rt' %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<%@ page session="false" %>

<tiles:insertTemplate template="/WEB-INF/views/layouts/mainLayout.jsp">

    <tiles:putAttribute name="body-content" cascade="true">
        <div class="container-fluid">
            <div class="row-fluid">
                <div class="span12">
                    <h2>Votación</h2>

                    <form:form commandName="votation" class="well">
                        <label>Título</label>
                        <form:input path="title" type="text" class="span3" placeholder="Título de la votación ..." />

                        <label>Descripción</label>
                        <form:input path="description" type="text" class="span5" placeholder="Descripción del evento ..." />

                        <button type="submit" class="btn">Submit</button>
                    </form:form>
                </div>
            </div>
        </div>
    </tiles:putAttribute>

</tiles:insertTemplate>