package org.ydarias.petprojects.jira.model

import reflect.BeanProperty

/**
 * @author Yeray Darias Camacho <ydarias en gmail>
 */
class Project {

  @BeanProperty var self = "";

  @BeanProperty var key = "";

  @BeanProperty var name = "";
  
}

object ProjectFactory {
  
  def instanceFrom(projectAsJson: Map[String, String]): Project = {
    val project = new Project()
    project.self = projectAsJson("self")
    project.key = projectAsJson("key")
    project.name = projectAsJson("name")
    project
  }
  
}
